<?xml version="1.0"?>

<!-- 

  Load the result of an Upload call on the Pageseeder server.
  The response XML is parsed and three properties are loaded:
    ps-uploadedpath: the path of the first URI successfully uploaded.
    ps-uploadedpath-xml: the Layout URL of the first URI successfully uploaded changed to XML if it was a Zip.
    ps-uploadedpath-master: the Layout URL of the first URI successfully uploaded changed to a master XML if it was a Zip.
  
  If the status is not 'success' then the property 'ps-upload-error' is created with the error message.

  @author Jean-Baptiste Reure
  @version 10 April 2012

  Copyright (C) 2009 Weborganic Systems Pty. Ltd.
  
 -->
 
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="UTF-8" />
  
  <xsl:param name="siteprefix" />
    
  <xsl:template match="root">
    <xsl:choose>
      <xsl:when test="starts-with(status, 'success')">
        <xsl:variable name="zip-uri" select="uris/uri[ends-with(@path,'.zip')]"/> 
        <xsl:variable name="uri-path" select="if ($zip-uri) then $zip-uri/@path else uris/uri[1]/@path"/>
        <xsl:text>ps-uploadedpath=</xsl:text><xsl:value-of select="$uri-path" /><xsl:text>
ps-uploadedpath-xml=</xsl:text><xsl:value-of
    select="concat($siteprefix, '/fullpage/nogroup/fullpath', substring-after(replace($uri-path, '\.zip$', '.xml'), $siteprefix))" /><xsl:text>
ps-uploadedpath-master=</xsl:text><xsl:value-of
    select="concat($siteprefix, '/fullpage/nogroup/fullpath', substring-after(replace($uri-path, '\.zip$', '-master.xml'), $siteprefix))" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>ps-upload-error=Upload failed: </xsl:text><xsl:value-of select="normalize-space(replace(message, '\n', ' '))" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>